import subprocess
import argparse

install_cmd = {
    "1.12.1": ["pip3", "install", "torchtext==0.13.1"],
    "1.12.0": ["pip3", "install", "torchtext==0.13.0"],
    "1.11.0": ["pip3", "install", "torchtext==0.12.0"],
    "1.10.0": ["pip3", "install", "torchtext==0.11.0"],
    "1.9.1": ["pip3", "install", "torchtext==0.10.1"],
    "1.9.0": ["pip3", "install", "torchtext==0.10"],
    "1.8.2": ["pip3", "install", "torchtext==0.9.2"],
    "1.8.1": ["pip3", "install", "torchtext==0.9.1"],
    "1.8": ["pip3", "install", "torchtext==0.9"],
    "1.7.1": ["pip3", "install", "torchtext==0.8.1"],
    "1.7": ["pip3", "install", "torchtext==0.8"],
}

if __name__ == '__main__':
    parser = argparse.ArgumentParser(description="agspeed cicd system torchtext installer")
    parser.add_argument('--pt', type=str, help="Pytorch Version")
    args = parser.parse_args()

    key = args.pt
    pip_source = ["-i", "https://mirrors.aliyun.com/pypi/simple/"]

    if key in install_cmd:
        print("Install torchtext by command:", install_cmd[key] + pip_source)
        subprocess.run(install_cmd[key] + pip_source)
    else:
        print("Install torchtext failed. Command is not found.")
        exit(-1)
